Get a conversation
- Base URL
-
https://{kibana_url}
- GET /api/security_ai_assistant/current_user/conversations/{id}
Get the details of an existing conversation using the conversation ID. This allows users to fetch the specific conversation data by its unique ID.
Responses
Indicates a successful call. The conversation details are returned.
-
idstring · format: nonempty · min length: 1required -
A string that does not contain only whitespace characters.
-
messagesobject[] -
The conversation messages.
-
idstring · format: nonempty · min length: 1 -
A string that does not contain only whitespace characters.
-
metadataobject -
Message metadata
-
contentReferencesmap string to oneOf -
A union of all content reference types
-
<string>union oneOf -
interruptResumeValueunion oneOf -
Union of the interrupt resume values
- One of:
-
timestampstring · format: nonempty · min length: 1required -
A string that represents a timestamp in ISO 8601 format and does not contain only whitespace characters.
One of:
References a knowledge base entry
References a security alert
References the security alerts page
References the product documentation
References an ESQL query
A request approval resume schema